### Method

# GLib Tuples index

deprecated: 2.26

#### Declaration

    gpointer
    g_tuples_index (
      GTuples* tuples,
      gint index_,
      gint field
    )

#### Description

Gets a field from the records returned by g_relation_select(). It returns the given field of the record at the given index. The returned value should not be changed.

Deprecated since: 2.26

Rarely used API.

#### Parameters

`index_`

  Type: `gint`

  The index of the record.

`field`

  Type: `gint`

  The field to return.

#### Return value

Type: `gpointer`

The field of the record.

The data is owned by the instance.
The return value can be `NULL`.